Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api.script
Interface IRowData

    public interface IRowData

Represents the computed expression results that are bound to the current row. The index starts with 1, which reprents the first expression in the row.

Method Summary
`int` | `getColumnCount()` Return the count of the bouding exprssions.
`java.lang.String` | `getColumnName(int index)` Return the name of the bouding exprssion by id.
`java.lang.Object` | `getColumnValue(int index)` Return the value of the bouding exprssion by id.
`java.lang.Object` | `getColumnValue(java.lang.String name)` Return the value of the bouding exprssion.
`int` | `getExpressionCount()` Deprecated.
`java.lang.Object` | `getExpressionValue(int i)` Deprecated. Now do not support get expression value by index. Return the value of the i:th expression in the current row. Null will be return if the i:th expression doesn't exist.
`java.lang.Object` | `getExpressionValue(java.lang.String expression)` Deprecated. Return the value of the provided expression. The provided expression must have been bound to the current row. Otherwise, it returns null.

Method Detail

### getExpressionValue

    java.lang.Object getExpressionValue(java.lang.String expression)
                                        throws ScriptException

  Deprecated. Return the value of the provided expression. The provided expression must have been bound to the current row. Otherwise, it returns null.

  Throws:
    `ScriptException`

### getExpressionValue

    java.lang.Object getExpressionValue(int i)
                                        throws ScriptException

  Deprecated. Now do not support get expression value by index. Return the value of the i:th expression in the current row. Null will be return if the i:th expression doesn't exist.

  Throws:
    `ScriptException`

### getExpressionCount

    int getExpressionCount()

  Deprecated.

  Return the number of expressions bound to the current row.

### getColumnValue

    java.lang.Object getColumnValue(java.lang.String name)
                                    throws ScriptException

  Return the value of the bouding exprssion.

  Parameters:
    `name` -
  Throws:
    `java.lang.Exception`
    `ScriptException`

### getColumnValue

    java.lang.Object getColumnValue(int index)
                                    throws ScriptException

  Return the value of the bouding exprssion by id.

  Parameters:
    `name` -
  Throws:
    `java.lang.Exception`
    `ScriptException`

### getColumnName

    java.lang.String getColumnName(int index)

  Return the name of the bouding exprssion by id.

  Parameters:
    `index` -

### getColumnCount

    int getColumnCount()

  Return the count of the bouding exprssions.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.